# OgreMemoryStdAlloc.h File Reference

`#include <memory>`
`#include <limits>`
`#include "OgreAlignedAllocator.h"`
`#include "OgreMemoryTracker.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::StdAllocPolicy
| A "standard" allocation policy for use with AllocatedObject and STLAllocator. More...
class | Ogre::StdAlignedAllocPolicy< Alignment >
| A "standard" allocation policy for use with AllocatedObject and STLAllocator, which aligns memory at a given boundary (which should be a power of 2). More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:21 2009